Skip to content

Sync Index

POST/api/v1/indexes/{index_id}/sync

Trigger a sync and export for an existing index, re-parsing changed files and exporting updated chunks.

Path ParametersExpand Collapse
index_id: string
Query ParametersExpand Collapse
organization_id: optional string
project_id: optional string
Cookie ParametersExpand Collapse
session: optional string

Sync Index

curl https://api.cloud.llamaindex.ai/api/v1/indexes/$INDEX_ID/sync \
    -X POST \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
{}
Returns Examples
{}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/python/shared/mcp/